> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 发起平台授权

> 接口说明：生成平台授权二维码、会话 ID 和过期时间。

调用成功后，请从响应的 `data.sessionId` 获取本次授权会话 ID，并将它与相同的 `platform` 一起传入[获取授权状态](/api-reference/get-api-v2-channels-accounts-auth-platform-status-session-id)接口进行轮询。`platform` 可选值：`douyin`、`xhs`、`wxSph`、`KWAI`、`wxGzh`、`bilibili`。具体平台是否可用，请以[平台列表](/api-reference/get-api-v2-channels-platforms)返回的 `capabilities.auth.supported` 为准。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/v2/channels/accounts/auth/{platform}
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
  - name: AI 服务/大语言模型
  - name: AI 服务/真人素材
  - name: AI 服务/Agent
paths:
  /api/v2/channels/accounts/auth/{platform}:
    get:
      tags:
        - 渠道管理/授权
      summary: 发起平台授权
      description: >-
        接口说明：生成平台授权二维码、会话 ID 和过期时间。


        调用成功后，请从响应的 `data.sessionId` 获取本次授权会话 ID，并将它与相同的 `platform`
        一起传入[获取授权状态](/api-reference/get-api-v2-channels-accounts-auth-platform-status-session-id)接口进行轮询。`platform`
        可选值：`douyin`、`xhs`、`wxSph`、`KWAI`、`wxGzh`、`bilibili`。具体平台是否可用，请以[平台列表](/api-reference/get-api-v2-channels-platforms)返回的
        `capabilities.auth.supported` 为准。
      operationId: AuthController_startAuth_v2
      parameters:
        - name: platform
          in: path
          description: 授权平台。可选值：douyin、xhs、wxSph、KWAI、wxGzh、bilibili。
          required: true
          example: douyin
          schema:
            type: string
            example: douyin
            enum:
              - douyin
              - xhs
              - wxSph
              - KWAI
              - wxGzh
              - bilibili
        - name: callbackUrl
          in: query
          description: 授权完成后浏览器 POST relay 的回调地址
          required: false
          example: ''
          schema:
            description: 授权完成后浏览器 POST relay 的回调地址
            type: string
            format: uri
        - name: redirectUri
          in: query
          description: 授权完成后浏览器跳转地址
          required: false
          example: ''
          schema:
            description: 授权完成后浏览器跳转地址
            type: string
            format: uri
        - name: groupId
          in: query
          description: 账号组 ID，不传则使用默认组
          required: false
          example: ''
          schema:
            description: 账号组 ID，不传则使用默认组
            type: string
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      url:
                        type: string
                      sessionId:
                        type: string
                      expiresAt:
                        type: string
                      authInstructions:
                        type: object
                        properties:
                          en-US:
                            type: string
                          zh-CN:
                            type: string
                        additionalProperties: false
                    additionalProperties: false
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
                required:
                  - code
                  - message
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      url: string
                      sessionId: string
                      expiresAt: string
                      authInstructions:
                        en-US: string
                        zh-CN: string
                    requestId: string
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 需要从 AiToEarn 获取 API Key。点击前往[「API Key 获取教程」](/zh/use/api-key)。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.